Subject: bug#70511: Option to grep into compressed files

From: Antonio Diaz Diaz <[email-masked]>
Date: Fri, 26 Apr 2024 16:27:05 +0200

Dale R. Worley wrote:
> What doesn't seem to exist is something that does step 2 in a general
> way.  The tool that is needed is something that reads the first few
> bytes of a file, determines which compression signature is present if
> any, then processes the contents through the correct decompressor.

Such tool[1] does in fact exist since 2009. It is only that it is not yet 
widely known. :-)

[1] http://www.nongnu.org/zutils/manual/zutils_manual.html#Zgrep

Gest regards,
Antonio.